--AH:ScriptId=189dd09e-9cde-4492-876a-ef64cd86173e;2758
ALTER TABLE [WorkflowSteps]
	ADD [DeploymentPlan_Id] INT NULL

ALTER TABLE [WorkflowSteps]
	ADD CONSTRAINT [FK__WorkflowSteps__DeploymentPlans]
		FOREIGN KEY ([DeploymentPlan_Id])
		REFERENCES [DeploymentPlans] ([DeploymentPlan_Id])

GO

UPDATE [WorkflowSteps]
   SET [DeploymentPlan_Id] = ADP.[DeploymentPlan_Id]
  FROM [WorkflowSteps] WS
	   INNER JOIN [ApplicationWorkflows] AW
	           ON AW.[Workflow_Id] = WS.[Workflow_Id]
	   INNER JOIN [ApplicationDeploymentPlans] ADP
	           ON ADP.[Application_Id] = AW.[Application_Id]
			  AND ADP.[Environment_Id] = WS.[Environment_Id]

GO

DROP TABLE [ApplicationDeploymentPlans]