--AH:ScriptId=c50a5a90-c866-4ac4-9edb-7e154bbe0f55;3062
ALTER TABLE [VariableDefinitions]
	DROP COLUMN [Scope_Code]
GO

ALTER TABLE [VariableDefinitions]
	ADD [ServerRole_Id] INT NULL,
    CONSTRAINT [FK__VariableDefinitions__ServerRoles] 
        FOREIGN KEY ([ServerRole_Id]) REFERENCES [ServerRoles] ([ServerRole_Id])
        ON DELETE CASCADE
GO

ALTER TABLE [VariableDefinitions]
	ADD [Scope_Code] AS CAST(CASE
		WHEN [Execution_Id] IS NOT NULL THEN 'X'
		WHEN [Promotion_Id] IS NOT NULL THEN 'P'
		WHEN [Build_Id] IS NOT NULL THEN 'B'
		WHEN [Release_Id] IS NOT NULL THEN 'R'
		WHEN [Deployable_Id] IS NOT NULL THEN 'D'
		WHEN [Application_Id] IS NOT NULL THEN 'A'
		WHEN [ApplicationGroup_Id] IS NOT NULL THEN 'G'
		WHEN [Server_Id] IS NOT NULL THEN 'V'
        WHEN [ServerRole_Id] IS NOT NULL THEN 'L'
		WHEN [Environment_Id] IS NOT NULL THEN 'E'
		ELSE 'S' END AS CHAR(1)) PERSISTED NOT NULL