EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Calendars_DeleteCalendarView',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified calendar view.'
GO


IF OBJECT_ID('[Calendars_DeleteCalendarView]') IS NOT NULL DROP PROCEDURE [Calendars_DeleteCalendarView]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Calendars_DeleteCalendarView]
(
    @CalendarView_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    DELETE [CalendarViews]
     WHERE [CalendarView_Id] = @CalendarView_Id

END
GO

GRANT EXECUTE ON [Calendars_DeleteCalendarView] TO [BuildMasterUser_Role]