--AH:ScriptId=B7BA4848-D120-4BE3-8C3A-186D10332B69

DECLARE @Default_Raft_Id INT = (SELECT [Raft_Id] FROM [Rafts] WHERE [Raft_Name] = 'Default')

INSERT INTO [RaftItems]
SELECT [Raft_Id] = @Default_Raft_Id,
       [Application_Id],
	   [RaftItemType_Code] = 9,
	   [RaftItem_Name] = [ReleaseTemplate_Name],
	   'Y'
  FROM [ReleaseTemplates]


INSERT INTO [RaftItemVersions]
SELECT RI.[RaftItem_Id],
       [RaftItemVersion_Number] = 1,
	   [ModifiedOn_Date] = GETUTCDATE(),
	   [ModifiedBy_User_Name] = 'Anonymous',
	   [Content_Bytes] = CONVERT(varbinary(max), CONVERT(varchar(max),RT.[ReleaseTemplate_Configuration]))
  FROM [RaftItems] RI
       INNER JOIN [ReleaseTemplates] RT
	           ON (RT.[Application_Id] = RI.[Application_Id])
			  AND (RT.[ReleaseTemplate_Name] = RI.[RaftItem_Name])
 WHERE RI.[RaftItemType_Code] = 9

GO

DROP TABLE [ReleaseTemplates]
GO

