EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetBuildById',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Builds_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the details for a specified build by ID.'
GO


IF OBJECT_ID('[Builds_GetBuildById]') IS NOT NULL DROP PROCEDURE [Builds_GetBuildById]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetBuildById]
(
	@Build_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Builds_Extended]
	 WHERE [Build_Id] = @Build_Id


END
GO

GRANT EXECUTE ON [Builds_GetBuildById] TO [BuildMasterUser_Role]
